Subject: Re: bug#44266: Transient input methods

From: Richard Stallman <[email-masked]>
Date: Mon, 02 Nov 2020 00:41:04 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > `C-x \ ...  type a couple of words in that method C-x \'

  > I'm not at all sure, but I think that perhaps people would more often
  > type in a couple of words than just a single key sequence?

In my usage, I would type the occasional character, not whole words.

How about if C-X \ selects the temporary input method for one character
and C-x \ \ selects it for a longer period?
Maybe until the next space.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)